Ptex: PTEX_NAMESPACE_BEGIN Namespace Reference

Ptex

Functions
PTEX_NAMESPACE_BEGIN Namespace Reference

## Functions
template<class T , int nChan>
void | Apply (PtexSeparableKernel &k, float *result, void *data, int, int)
template<class T , int nChan>
void | ApplyS (PtexSeparableKernel &k, float *result, void *data, int, int nTxChan)
template<class T >
void | ApplyN (PtexSeparableKernel &k, float *result, void *data, int nChan, int nTxChan)
float | gaussian (float x_squared)
template<class T , int nChan>
void | Apply (PtexTriangleKernelIter &k, float *result, void *data, int, int)
template<class T , int nChan>
void | ApplyS (PtexTriangleKernelIter &k, float *result, void *data, int, int nTxChan)
template<class T >
void | ApplyN (PtexTriangleKernelIter &k, float *result, void *data, int nChan, int nTxChan)
FILE * | OpenTempFile (std::string &tmppath)
std::string | fileError (const char *message, const char *path)
bool | checkFormat (Ptex::MeshType mt, Ptex::DataType dt, int nchannels, int alphachan, Ptex::String &error)

## Function Documentation

## ◆ Apply() [1/2]

template<class T , int nChan>

void PTEX_NAMESPACE_BEGIN::Apply | ( | PtexSeparableKernel & | k,
|  | float * | result,
|  | void * | data,
|  | int | ,
|  | int |
| ) |  |

Definition at line 45 of file PtexSeparableKernel.cpp.

References Apply(), PtexSeparableKernel::ku, PtexSeparableKernel::kv, PtexSeparableKernel::res, PtexSeparableKernel::u, PtexSeparableKernel::uw, PtexSeparableKernel::v, and PtexSeparableKernel::vw.

Referenced by Apply().

## ◆ Apply() [2/2]

template<class T , int nChan>

void PTEX_NAMESPACE_BEGIN::Apply | ( | PtexTriangleKernelIter & | k,
|  | float * | result,
|  | void * | data,
|  | int | ,
|  | int |
| ) |  |

Definition at line 53 of file PtexTriangleKernel.cpp.

References PtexTriangleKernelIter::A, Apply(), PtexTriangleKernelIter::B, PtexTriangleKernelIter::C, gaussian(), PtexUtils::max(), PtexUtils::min(), PtexTriangleKernelIter::rowlen, PtexTriangleKernelIter::u, PtexTriangleKernelIter::u1, PtexTriangleKernelIter::u2, PtexTriangleKernelIter::v, PtexTriangleKernelIter::v1, PtexTriangleKernelIter::v2, PtexTriangleKernelIter::w1, PtexTriangleKernelIter::w2, PtexTriangleKernelIter::weight, and PtexTriangleKernelIter::wscale.

## ◆ ApplyN() [1/2]

template<class T >

void PTEX_NAMESPACE_BEGIN::ApplyN | ( | PtexSeparableKernel & | k,
|  | float * | result,
|  | void * | data,
|  | int | nChan,
|  | int | nTxChan
| ) |  |

Definition at line 105 of file PtexSeparableKernel.cpp.

References ApplyN(), PtexSeparableKernel::ku, PtexSeparableKernel::kv, PtexSeparableKernel::res, PtexSeparableKernel::u, PtexSeparableKernel::uw, PtexSeparableKernel::v, and PtexSeparableKernel::vw.

Referenced by ApplyN().

## ◆ ApplyN() [2/2]

template<class T >

void PTEX_NAMESPACE_BEGIN::ApplyN | ( | PtexTriangleKernelIter & | k,
|  | float * | result,
|  | void * | data,
|  | int | nChan,
|  | int | nTxChan
| ) |  |

Definition at line 108 of file PtexTriangleKernel.cpp.

References PtexTriangleKernelIter::A, ApplyN(), PtexTriangleKernelIter::B, PtexTriangleKernelIter::C, gaussian(), PtexUtils::max(), PtexUtils::min(), PtexTriangleKernelIter::rowlen, PtexTriangleKernelIter::u, PtexTriangleKernelIter::u1, PtexTriangleKernelIter::u2, PtexTriangleKernelIter::v, PtexTriangleKernelIter::v1, PtexTriangleKernelIter::v2, PtexTriangleKernelIter::w1, PtexTriangleKernelIter::w2, PtexTriangleKernelIter::weight, and PtexTriangleKernelIter::wscale.

## ◆ ApplyS() [1/2]

template<class T , int nChan>

void PTEX_NAMESPACE_BEGIN::ApplyS | ( | PtexSeparableKernel & | k,
|  | float * | result,
|  | void * | data,
|  | int | ,
|  | int | nTxChan
| ) |  |

Definition at line 75 of file PtexSeparableKernel.cpp.

References ApplyS(), PtexSeparableKernel::ku, PtexSeparableKernel::kv, PtexSeparableKernel::res, PtexSeparableKernel::u, PtexSeparableKernel::uw, PtexSeparableKernel::v, and PtexSeparableKernel::vw.

Referenced by ApplyS().

## ◆ ApplyS() [2/2]

template<class T , int nChan>

void PTEX_NAMESPACE_BEGIN::ApplyS | ( | PtexTriangleKernelIter & | k,
|  | float * | result,
|  | void * | data,
|  | int | ,
|  | int | nTxChan
| ) |  |

Definition at line 81 of file PtexTriangleKernel.cpp.

References PtexTriangleKernelIter::A, ApplyS(), PtexTriangleKernelIter::B, PtexTriangleKernelIter::C, gaussian(), PtexUtils::max(), PtexUtils::min(), PtexTriangleKernelIter::rowlen, PtexTriangleKernelIter::u, PtexTriangleKernelIter::u1, PtexTriangleKernelIter::u2, PtexTriangleKernelIter::v, PtexTriangleKernelIter::v1, PtexTriangleKernelIter::v2, PtexTriangleKernelIter::w1, PtexTriangleKernelIter::w2, PtexTriangleKernelIter::weight, and PtexTriangleKernelIter::wscale.

## ◆ checkFormat()

bool PTEX_NAMESPACE_BEGIN::checkFormat | ( | Ptex::MeshType | mt,
|  | Ptex::DataType | dt,
|  | int | nchannels,
|  | int | alphachan,
|  | Ptex::String & | error
| ) |  |

Definition at line 133 of file PtexWriter.cpp.

References checkFormat(), Ptex::dt_float, LittleEndian(), and Ptex::mt_quad.

Referenced by checkFormat().

## ◆ fileError()

std::string PTEX_NAMESPACE_BEGIN::fileError | ( | const char * | message,
|  | const char * | path
| ) |  |

Definition at line 126 of file PtexWriter.cpp.

References fileError().

Referenced by fileError().

## ◆ gaussian()

float PTEX_NAMESPACE_BEGIN::gaussian | ( | float | x_squared | ) |
| inline

Definition at line 44 of file PtexTriangleKernel.cpp.

References gaussian(), and PtexTriangleKernelWidth.

Referenced by Apply(), ApplyN(), ApplyS(), and gaussian().

## ◆ OpenTempFile()

FILE * PTEX_NAMESPACE_BEGIN::OpenTempFile | ( | std::string & | tmppath | ) |

Definition at line 78 of file PtexWriter.cpp.

References OpenTempFile().

Referenced by OpenTempFile().